Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator:
[legend]

## Public Member Functions
| SimpleSymetryComparator ()
| SimpleSymetryComparator (int threshold)
double | getDistance (HOG hog1, HOG hog2)

## Private Attributes
int | threshold

## Additional Inherited Members
Protected Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator
int | computetYSymetry (float threshold, float[][][] cells)
int | computeXSymetry (float threshold, float[][][] cells)

## Detailed Description

This object trying to find some symmetry in computed histogram. It trying to find elements that could be some object.
SimpleSymetryComparator accepts only threshold value which represents lowest acceptable value

Author
  xnovak68

See also
  SymetryBaseComparator

Definition at line 10 of file SimpleSymetryComparator.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.SimpleSymetryComparator | ( |  | ) |

Definition at line 14 of file SimpleSymetryComparator.java.

cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.SimpleSymetryComparator | ( | int | threshold | ) |

Definition at line 18 of file SimpleSymetryComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.threshold.

## Member Function Documentation

double cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.getDistance | ( | HOG | hog1,
|  | HOG | hog2
| ) |  |

Implements cz.vutbr.feec.novak68.hogcomparators.HOGComparator.

Definition at line 23 of file SimpleSymetryComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator.computetYSymetry(), cz.vutbr.feec.novak68.hogcomparators.SymetryBaseComparator.computeXSymetry(), cz.vutbr.feec.novak68.HOG.getCells(), and cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.threshold.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies().

Here is the call graph for this function:

## Member Data Documentation

int cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.threshold
| private

Definition at line 12 of file SimpleSymetryComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.SimpleSymetryComparator.SimpleSymetryComparator().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/SimpleSymetryComparator.java